{% load static %}
<!DOCTYPE html>
<html lang="en">
<style>
.onoff
{
  width:32px;
  height:32px;
  padding:1px 2px 3px 3px;	
  font-size:12px;
  background:lightgray;
  text-align:center;	
}
.onoff div
{
  width:18px;
  height:18px;
  min-height:18px;	
  background:lightgray;
  overflow:hidden;
  border-top:1px solid gray;
  border-right:1px solid white;
  border-bottom:1px solid white;
  border-left:1px solid gray;			
  margin:0 auto;
  color:gray;
}
</style>
            
            


<head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="author" content="">

    <title>GreenLab</title>

       <link href="{% static 'bootstrap2/css/bootstrap.min.css' %}" rel="stylesheet">

    <!-- Custom CSS -->
    <link href="{% static 'bootstrap2/css/sb-admin.css' %}" rel="stylesheet">

    <!-- Morris Charts CSS -->
    <link href="{% static 'bootstrap2/css/plugins/morris.css' %}" rel="stylesheet">

    <!-- Custom Fonts -->
    <link href="{% static 'bootstrap2/font-awesome/css/font-awesome.min.css' %}" rel="stylesheet"> 

    <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
    <!--[if lt IE 9]>
        <script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
        <script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
    <![endif]-->


  <!-- Pasar a otro archivo-->

   <script src="{% static 'js/jquery1.js' %}"></script>
   <link rel="stylesheet" href="{% static 'jquery-ui-1.11.4/jquery-ui.css' %}">
 <!-- <script src="//code.jquery.com/jquery-1.10.2.js"></script>-->
  <script src="{% static 'jquery-ui-1.11.4/jquery-ui.js' %}"></script>
  <script src="{% static 'js/DjangoAjax.js' %}" ></script>
  <script src="{% static 'ajax/jquery.history.js' %}" ></script>

	<!-- Todos los metodos del index menos el update--> 
<script src="https://code.jquery.com/jquery-3.2.1.js"></script>


<script type="text/javascript">
$(document).ready(function() {
    function update() {
      var valor="";
               
              
                $.ajax({
                    type:"GET",
                    contentType:"application/json; charset=utf-8",
                    dataType:"json",
                    url:"/ws/actuadores/",
                    success:function(response){
                    resp=JSON.parse(response);
                    
					
                        if (resp.length>0) {
                           
                            for (var i = 0; i < resp.length; i++) {
								valor=resp[i].fields.valor;
                                $('#text'+resp[i].id).children().remove();
                                
                                if(valor==0){
                                    
                                    $('#text'+resp[i].id).append("<div id='act'"+resp[i].id+">"+"OFF"+"</div>");
                                }else{
                                    $('#text'+resp[i].id).append("<div id='act'"+resp[i].id+">"+"ON"+"</div>");
                                }
                                
                               
								
								
								
								
								 };
                        } else{
                            
                        };

                    }
                       
                });
    }
    setInterval(update, 200);
});
</script>

<script type="text/javascript">
    function on(idActuador){
            
                 $.ajax({
                    type:"GET",
                    contentType:"text; charset=utf-8",
                    dataType:"text",
                    url:"on/"+idActuador,
                    success:function(response){
                        if (response=="ok") {
                            
                        } else{

                        };
                    }
                });

        } 
        
     function off(idActuador){
            
                 $.ajax({
                    type:"GET",
                    contentType:"text; charset=utf-8",
                    dataType:"text",
                    url:"off/"+idActuador,
                    success:function(response){
                        if (response=="ok") {
                            
                        } else{

                        };
                    }
                });

        } 

  
</script>
<style type="text/css">
  .modal-body {
  max-height: calc(100vh - 212px);
  overflow:auto;
}
</style>



</head>

<body>


    <div id="wrapper">

        {% include 'navbar.html'%}
        <div id="page-wrapper">

            <div class="container-fluid">

                <!-- Page Heading -->
               
                <!-- /.row -->

                <div class="row">
			
    </div>
                <!-- /.row -->
        

 <div class="row">
        <div class="panel panel-default ">
                            <div class="panel-heading">
                                <h3 class="panel-title "><i class="fa fa-long-arrow-right fa-fw"></i> Actuadores</h3>
                            </div>
                            <div class="panel-body" id="idSensores2">
        
       
             {% if actuadores_list%}
                                  {% for actuador in actuadores_list%}
                                   
                                  
                                        <div class="col-lg-3 col-md-7">
                                                    <div class="panel panel-turqueza3" id="actuador{{actuador.id}}">
                                                        <div class="panel-heading">
                                                            <div class="row">
                                                                <div class="col-xs-3">
                                                                     <img class="img-responsive"  src="{{actuador.tipoActuador.imagen.url}}">
                                                    
                                                                </div>
                                                                 <div id="text{{acttuador.id}}" class="col-xs-9 text-right">
                                                                    <div >{% ifequal actuador.valor 0 %}OFF {%endifequal%} {%ifequal actuador.valor 1 %} ON {%endifequal%}
                                                                    
                                                                    </div>
                                                       
                                                                </div>
                                                            </div>
                                                        </div>
                                                        <a href="">
                                                            <div class="panel-footer">
                                                                <span class="pull-left">{{ actuador.descripcion  }}</span>
                                                                <span class="pull-right">      <button type="button" onclick="on({{actuador.id}})" class="btn btn-success">ON</button><button type="button" onclick="off({{actuador.id}})" class="btn btn-danger">OFF</button></span>
                                                                <div class="clearfix"></div>
                                                            </div>
                                                        </a>
                                                    </div>
                                                </div>
                                               
                                            
                                    {%endfor%}
                                    {%endif%}


</div>
</div>
</div>

            </div>
            <!-- /.container-fluid -->

        </div>
        <!-- /#page-wrapper -->

    </div>
    <!-- /#wrapper -->

    <!-- jQuery -->
    <script src="{% static 'bootstrap2/js/jquery.js' %}"></script>

    <!-- Bootstrap Core JavaScript -->
    <script src="{% static 'boostrap2/js/bootstrap.min.js' %}"></script>

  
</body>

</html>
